Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler Class Reference

Class ResultVTTiler Singleton which contains one result of a tile generation. More...

Collaboration diagram for vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler:

## Public Member Functions
def | __init__
| Constructor. More...
def | set_result
| set_result method Indicate the pixel size and if is a dem the min and max height value More...
def | is_define
| is_define method Check if the pixel size is already define More...
def | is_dem
| is_dem method Check if the data is a data elevation model More...

## Public Attributes
| pixelSize
| minHeight
| maxHeight

## Detailed Description

Class ResultVTTiler Singleton which contains one result of a tile generation.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.__init__ | ( |  | self) |  |

Constructor.

## Member Function Documentation

def vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.is_define | ( |  | self) |  |

is_define method Check if the pixel size is already define

def vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.is_dem | ( |  | self) |  |

is_dem method Check if the data is a data elevation model

def vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.set_result | ( |  | self,
|  |  | arrayR
| ) |  |

set_result method Indicate the pixel size and if is a dem the min and max height value

Parameters

  arrayR | contains the several images

## Member Data Documentation

vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.maxHeight

vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.minHeight

vizitown_plugin.vt_utils_result_vttiler.ResultVTTiler.pixelSize

The documentation for this class was generated from the following file:

- vt_utils_result_vttiler.py